#!/bin/sh
#リザーブ解除処理
#DEVICE_NAMEにはデバイス名を指定する
#KEYには「abc1」を自動セット
#コマンド結果はscsi3PR_s3s.scsilogに追加出力される
. ./s3sfunc.sh
if [ "${1}" == "" ]
then
    s3secho "usage:${0} DEVICE_NAME"
    exit 1
fi

#KEYの設定
OWN_KEY="abc1"
OTHER_KEY="abc1"
if [ "${2}" != "" ]
then
    OWN_KEY=${2}
    OTHER_KEY=${3}
fi
S3SLOGNM="log/scsi3PR_s3s_${OWN_KEY}.scsilog"
s3secho "${0}" >> ${S3SLOGNM}

#CLEAR
CNT=0
while true
do
	scsi3prsim -d ${1} -A 4 -K ${OWN_KEY} -S ${OWN_KEY}
	RTCD=$?
	sleep 1
	case "$RTCD" in
		0 )
			break
			;;
#		24 )
#			break
#			;;
		* )
			CNT=`expr $CNT + 1`
			if [ $CNT -eq 3 ]; then
				break
			fi
			;;
	esac
done

#デバイスのリザーブ状態確認
if [ "${5}" == "D B G" ]
then
    s3secho "#vvv command check vvv#" >> ${S3SLOGNM}
    s3secho "# sg_persist -i -n -r -d ${1}" >> ${S3SLOGNM}
    sg_persist -i -n -r -d ${1} >> ${S3SLOGNM} 2>&1
    s3secho "RC=$?" >> ${S3SLOGNM}
    sleep 1
    s3secho "# sg_persist -i -n -k -d ${1}" >> ${S3SLOGNM}
    sg_persist -i -n -k -d ${1} >> ${S3SLOGNM} 2>&1
    s3secho "RC=$?" >> ${S3SLOGNM}
    s3secho "#^^^ command check ^^^#" >> ${S3SLOGNM}
fi

exit 0
